Album: Curtain Call - Maragi Radi
Date: October 1, 2025
Date Added: October 02, 2025
Artists:
- Spad3s
URLs:
- https://desynced.bandcamp.com/album/curtain-call-maragi-radi
- https://youtu.be/QLNyAgvCL9M
Cover Artists:
- artist:dizzims
Default Track Cover Artists:
- artist:dizzims
Wallpaper Artists:
- artist:dizzims
- Jebb (edits for wiki)
Cover Art File Extension: png
Wallpaper File Extension: png
Track Art File Extension: png
Wallpaper Style: |-
    opacity: 0.9;
Art Tags:
- Maragi (Desynced)
Color: '#ffd581'
Groups:
- Desynced
- Fandom
Commentary: |-
    <i>dizzims.:</i> ([Bandcamp about blurb](https://desynced.bandcamp.com/album/curtain-call-maragi-radi), excerpt)

    The #1 star of Nibiru has officially dropped her final album! Make sure to get your copy quick as every dragon is rushing to get their copy before the apocalypse!!!
    
    Curtain Call, Desynceds long await first in universe canon album. Built from the ground up by [[artist:spad3s|SPAD3S]].
    
Crediting Sources: |-
    <i>dizzims.:</i> ([Bandcamp about blurb](https://desynced.bandcamp.com/album/curtain-call-maragi-radi), excerpt)
  
    Credits:
    All music by: [[artist:spad3s]]
    
    All art by: [[artist:dizzims]]
---
Track: Through the Night
Duration: 3:38
Art Tags:
- Maragi (Desynced)
URLs:
- https://desynced.bandcamp.com/track/through-the-night
Lyrics: |-
    Each step tells a tale
    Rhythm in the dark
    Finding my way with each silent
    Spark
    
    Through the night, I find my way
    Dancing through shadows to welcome
    The day
    In the quiet
    I hear my voice
    Through the night, I
    Made my choice

    Through the night
    Through the night
    Through the night
    Through the night
    
    Through the night
    I find my way
    Dancing through shadows to
    Welcome the day
    In the quiet, I hear my voice
    Through the night
    I made my choice
    Through the night
    
    Each step tells a tale
    Rhythm in the dark
    Finding my way with each silent
    Spark
    
    And I
    Don't wanna go through it again
    I don't think that I can fight the pain
    Just this time I have to get it right
    If I wanna make it through the night
    
    I don't wanna go through it again
    All of this cannot just be in vain
    Gonna hold on tight onto the light
    To make it
    Through the night

    I find my way
    Dancing through shadows to welcome
    The day
    In the quiet
    I hear my voice
    Through the night, I
    Made my choice
  
    Through the night
    Through the night
    Through the night
    Through the night
    
    Through the night
    I find my way
    Dancing through shadows to
    Welcome the day
    In the quiet, I hear my voice
    Through the night
    I made my choice
    Through the night
Crediting Sources: |-
    <i>dizzims.:</i> ([Bandcamp about blurb](https://desynced.bandcamp.com/track/through-the-night), excerpt)
    Music by: [[artist:spad3s]]<br>
    Art by: [[artist:dizzims]]
---
Track: Taste of Blood
Duration: 3:01
Art Tags:
- Maragi (Desynced)
- 'cw: blood'
URLs:
- https://desynced.bandcamp.com/track/taste-of-blood
Lyrics: |-
    Put down your gun, nothing comes between us
    Cuz you need me like the air you breathe in
    
    I keep you close, void beneath the water
    You got me chasing ghosts
    Run and hide... now...
    
    My love, Safety's such a pretty lie
    Our sins, returned, reduced to ashe and mud
    One turned to stone
    One down the flood...
    
    Kiss me till I taste of blood
    
    Feel the rush
    In your veins
    Let the poison take control
    
    Watch the ceiling come down
    And the walls close in
    As the flood begins
    
    As your light fades
    Slowly
    Forgive me... as I dig in...
    
    Battle cry
    Lost control
    As the room turns red
    Trust me when I tell you
    
    My love, Safety's such a pretty lie
    Our sins, returned, reduced to ashe and mud...
    One turned to stone,
    One down the flood...
    
    Kiss me till I taste of blood
Crediting Sources: |-
    <i>dizzims.:</i> ([Bandcamp about blurb](https://desynced.bandcamp.com/track/taste-of-blood), excerpt)
    Music by: [[artist:spad3s]]<br>
    Art by: [[artist:dizzims]]
---
Track: My World
Duration: 4:08
Art Tags:
- Maragi (Desynced)
URLs:
- https://desynced.bandcamp.com/track/my-world
Lyrics: |-
    You're lost in your world
    Baby I don't mind
    But we're so out of touch
    
    Tryna figure you out
    You've been holding back
    Got me thinkin' too much
    
    Can't push through your screen
    I can't get in
    But I have the plan
    
    I don't want you to change
    I know you got your world
    So let me take you down to mine
Crediting Sources: |-
    <i>dizzims.:</i> ([Bandcamp about blurb](https://desynced.bandcamp.com/track/my-world), excerpt)
    Music by: [[artist:spad3s]]<br>
    Art by: [[artist:dizzims]]
---
Track: I Don't Care
Duration: 3:43
Art Tags:
- Maragi (Desynced)
- Nibiru (Desynced)
URLs:
- https://desynced.bandcamp.com/track/i-dont-care
Lyrics: |-
    Life hitting, walking through the city
    They tell me not to let it go, I feel that
    Crowd's Hidden, looking for a villain
    They tryna see how far you'd go
    
    But it's alright, it's okay
    You can roll it up the hill a different day
    It's not fair, they'll watch you tear...
    But I don't care ¯\_(ツ)_/¯
    
    Woah-oah-oahhhh-oh-ohhh
    Woah-oah-oahhhh-oh-ohhh
    
    We look for guidance in songs and bottles
    Hoping somebody knows...
    But you'll never find it, not in here
    
    But it's alright, it's okay
    You can roll it up the hill a different day
    It's not fair, they'll watch you tear...
    But I don't care ¯\_(ツ)_/¯
    
    Woah-oah-oahhhh-oh-ohhh
    Woah-oah-oahhhh-oh-ohhh
    
    Is it too late to turn back time?
    To see my old friends one more time?
    Am I too far to break the chain
    Before it all corrupts my brain?
    Is it okay? Can I give up my share?
    I guess it doesn't really matter...
    Cuz I don't care ¯\_(ツ)_/¯
Crediting Sources: |-
    <i>dizzims.:</i> ([Bandcamp about blurb](https://desynced.bandcamp.com/track/i-dont-care), excerpt)
    Music by: [[artist:spad3s]]<br>
    Art by: [[artist:dizzims]]
---
Track: Stardust
Duration: 3:39
Art Tags:
- Maragi (Desynced)
URLs:
- https://desynced.bandcamp.com/track/stardust
Lyrics: |-
    Woah, I'm fading into startdust, Yeah
    And I wanna see the sun rise just one more time...
    
    Stardust
    Fading into fleeting pieces of a time we used to know when people smiled and said hello
    Trying not to fall into the void
    Claustrophobic in an open field of hopes and dreams and everybody knows
    Yeah
    You gotta sell yourself and go on with the show
    
    Trying not to tell yourself to take another blow
    For the next one in the row
    We're just pieces in a puzzle
    It will all be figured out
    We just gotta fight the flow
    
    Woah, I'm fading into startdust, Yeah
    And I wanna see the sun rise just one more time...
    And I wanna see the sun rise just one more time...
Crediting Sources: |-
    <i>dizzims.:</i> ([Bandcamp about blurb](https://desynced.bandcamp.com/track/stardust), excerpt)
    Music by: [[artist:spad3s]]<br>
    Art by: [[artist:dizzims]]
---
Track: Popstar
Duration: 1:56
Art Tags:
- Maragi (Desynced)
- Nibiru (Desynced)
URLs:
- https://desynced.bandcamp.com/track/popstar
Lyrics: |-
    I used to fear failiure
    Being forgotten
    Now I'm at the top and I can
    Only think about the bottom
    How the meaning got away
    And turned into a problem
    I don't remember how to solve em
    Throw em at the team and raise the volume
    
    Never been the kind to smile and wave
    I'd always kinda misbehave
    And cover up with clever words
    And make myself believe
    That I was doing what I had to do
    To get ahead - Am I corrupted or
    Am I adaptable to change?
    
    Suseptible to propaganda from
    A group people who can't
    Even get themselves together to decide
    What rules and ideologies they want the
    Crowds to follow
    But when they follow me can they detect my
    Words are hollow?
Crediting Sources: |-
    <i>dizzims.:</i> ([Bandcamp about blurb](https://desynced.bandcamp.com/track/popstar), excerpt)
    Music by: [[artist:spad3s]]<br>
    Art by: [[artist:dizzims]]
---
Track: Let Go
Duration: 3:39
Art Tags:
- Maragi (Desynced)
- Nibiru (Desynced)
URLs:
- https://desynced.bandcamp.com/track/let-go
Lyrics: |-
    Find me sitting in the fire
    The things that hold me back
    Don't you see what I've become
    I'm seeing only black
    
    If it's not what i want
    If it's not what I dreamt of
    Can I really let it go?
Crediting Sources: |-
    <i>dizzims.:</i> ([Bandcamp about blurb](https://desynced.bandcamp.com/track/let-go), excerpt)
    Music by: [[artist:spad3s]]<br>
    Art by: [[artist:dizzims]]
---
Track: I'll be there with you
Duration: 4:05
Art Tags:
- Maragi (Desynced)
- Nibiru (Desynced)
URLs:
- https://desynced.bandcamp.com/track/ill-be-there-with-you
Lyrics: |-
    In the neon glow of the city lights
    When the world's asleep and the
    Stars are bright
    You might feel alone in the dead of
    Night
    But I'll be there with you
    
    On the crowded streets
    Or the empty halls
    When the shadow creeps
    And the silence calls
    When hope seems lost
    And the darkness falls
    I'll light the way for you
    
    When the rain pours down
    And you're feeling blue
    When the way is dark and you have no view
    Remember my words
    And they'll pull you through
    'Cause I'll be there with you
    
    Through the highs and lows
    And the in-between
    In the silent times, when you feel unseen
    Just close your eyes, take a breath so true
    And I'll be there with you
Crediting Sources: |-
    <i>dizzims.:</i> ([Bandcamp about blurb](https://desynced.bandcamp.com/track/ill-be-there-with-you), excerpt)
    Music by: [[artist:spad3s]]<br>
    Art by: [[artist:dizzims]]
---
Track: This Place
Duration: 4:54
Art Tags:
- Maragi (Desynced)
- Layssah (Desynced)
- Nibiru (Desynced)
URLs:
- https://desynced.bandcamp.com/track/this-place
Lyrics: |-
    Help me understand
    Help me understand this place
    
    Cause its been so long
    And it feels so wrong
    
    To go
    
    Promise me
    You won't let go
    
    Cause there's nowhere I'm afraid
    To go
    When I'm with you
    
    Show me how to know
    Show me how to let you go
    Cause I don't want to forget you by my side
Crediting Sources: |-
    <i>dizzims.:</i> ([Bandcamp about blurb](https://desynced.bandcamp.com/track/this-place), excerpt)
    Music by: [[artist:spad3s]]<br>
    Art by: [[artist:dizzims]]
---
Track: Curtain Fall
Duration: 3:16
Art Tags:
- Maragi (Desynced)
URLs:
- https://desynced.bandcamp.com/track/curtain-fall
Lyrics: |-
    Ashen skies, we drift apart
    Worlds collide, they break our heart
    Fading fast, we lose it all
    To the silent curtain fall
    
    Through the dark, just hold my hand
    Shadows we can't understand
    Dreams undone, we heed the call
    Of the final curtain fall
    
    Ashen skies, we drift apart
    Worlds collide, they break our heart
    Fading fast, we lose it all
    To the silent curtain fall
    
    When the flames are burning tall
    It's been fun, despite it all
    Bow together, standing tall
    As we watch the curtain fall
Crediting Sources: |-
    <i>dizzims.:</i> ([Bandcamp about blurb](https://desynced.bandcamp.com/track/curtain-fall), excerpt)
    Music by: [[artist:spad3s]]<br>
    Art by: [[artist:dizzims]]
